--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+umask 022 &&
+chmod -R a+rX . &&
+set-commit-date.py &&
+
+python setup.py build_py &&
+python setup.py build &&
+python setup.py sdist &&
+
+for py in 2.6 2.7 3.4 3.5 3.6; do
+ find build -name '*.py[co]' -delete &&
+ python$py setup.py build_py &&
+ python$py setup.py build &&
+ python$py -m compileall build &&
+ python$py -O -m compileall build &&
+ python$py setup.py bdist_egg || exit 1
+done
+
+find build -name '*.py[co]' -delete &&
+python setup.py bdist_wheel --universal &&
+
+version=`python setup.py --version`
+twine register dist/m_lib-"$version".tar.gz &&
+twine upload --sign dist/* &&
+
+exec rm -rf build dist m_lib.egg-info